import _ from "lodash";
import BaseModel from "~src/models/BaseModel";

export default class drinkWaterUnit extends BaseModel {
  schema = {
    ...this.schema,
    name: {
      type: this.DataTypes.STRING,
      allowNull: false,
      desc: "نام",
    },
    brand: {
      type: this.DataTypes.STRING,
      allowNull: false,
      desc: "برند",
    },
    rate: {
      type: this.DataTypes.ENUM("A", "B", "C", "D"),
      allowNull: false,
      desc: "رتبه",
    },
    cityName: {
      type: this.DataTypes.STRING,
      allowNull: false,
      desc: "نام شهر/شهرستان",
    },
    universityName: {
      type: this.DataTypes.STRING,
      allowNull: false,
      desc: "نام دانشگاه",
    },
  };

  add = Object.keys(_.omit(this.schema, ["id"]));
  updateList = this.add;
  getList = this.add;
}
